Subject: Re: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Juri Linkov <[email-masked]>
Date: Sun, 26 Dec 2021 19:28:23 +0200

>> Before closing, we need to decide whether to bind C-p and C-n
>> to the same commands that were bound in 2014 to [up] and [down],
>> i.e. whether to apply such patch:
> [...]
>>    (define-key map [down]  'next-line-or-history-element)
>> +  (define-key map "\C-n"  'next-line-or-history-element)
>
> If I remember correctly, I think the idea was to have a way for the user
> to skip the nice magical DWIM stuff that's on up/down, so C-n/C-p was
> left alone on purpose.  And I think that's still the right decision.

This was my recollection too.  So if no one has new arguments
to change this decision, this request could be closed.